%define upstream_name    Sys-RunAlone
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Make sure only one invocation of a script is active at a time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildArch:  noarch

%description
Provide a simple way to make sure the script from which this module is
loaded, is only running once on the server. Optionally allow for retrying
execution until the other instance of the script has finished.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.130.0-6.mga10
+ Revision: 2204696
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.130.0-5.mga9
+ Revision: 1810259
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-4.mga8
+ Revision: 1506206
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-3.mga7
+ Revision: 1286226
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.130.0-2.mga7
+ Revision: 1166678
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.130.0-1.mga7
+ Revision: 1159469
- update to 0.13

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-6.mga6
+ Revision: 1033600
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-5.mga6
+ Revision: 949730
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 790397
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 740262
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 686291
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 641748
- imported package perl-Sys-RunAlone


* Tue Jul 01 2014 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
